|  | reflex::BufferedInput::dos_streambuf Class Reference updated Sat Oct 7 2023 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
reflex::BufferedInput::dos_streambuf Class Reference

Buffered stream buffer for reflex::Input to read DOS files, replaces CRLF by LF, derived from std::streambuf. More...

`#include <input.h>`

Inheritance diagram for reflex::BufferedInput::dos_streambuf:
[legend]
Collaboration diagram for reflex::BufferedInput::dos_streambuf:
[legend]

## Public Member Functions
| dos_streambuf (const reflex::BufferedInput &input)
| dos_streambuf (const reflex::Input &input)

## Protected Member Functions
virtual int_type | underflow ()
virtual int_type | uflow ()
virtual std::streamsize | xsgetn (char *s, std::streamsize n)
virtual std::streamsize | showmanyc ()
int | get ()

## Protected Attributes
BufferedInput | input_
int | ch1_
int | ch2_

## Detailed Description

Buffered stream buffer for reflex::Input to read DOS files, replaces CRLF by LF, derived from std::streambuf.

## Constructor & Destructor Documentation

reflex::BufferedInput::dos_streambuf::dos_streambuf | ( | const reflex::BufferedInput & | input | ) |
| inline

reflex::BufferedInput::dos_streambuf::dos_streambuf | ( | const reflex::Input & | input | ) |
| inline

## Member Function Documentation

int reflex::BufferedInput::dos_streambuf::get | ( |  | ) |
| inline protected

virtual std::streamsize reflex::BufferedInput::dos_streambuf::showmanyc | ( |  | ) |
| inline protected virtual

virtual int_type reflex::BufferedInput::dos_streambuf::uflow | ( |  | ) |
| inline protected virtual

virtual int_type reflex::BufferedInput::dos_streambuf::underflow | ( |  | ) |
| inline protected virtual

virtual std::streamsize reflex::BufferedInput::dos_streambuf::xsgetn | ( | char * | s,
|  | std::streamsize | n
| ) |  |
| inline protected virtual

## Member Data Documentation

int reflex::BufferedInput::dos_streambuf::ch1_
| protected

int reflex::BufferedInput::dos_streambuf::ch2_
| protected

BufferedInput reflex::BufferedInput::dos_streambuf::input_
| protected

The documentation for this class was generated from the following file:

- input.h